//进厂
<template>
  <!-- 零星物资进厂作业页面 -->
  <div class="homeworkPath">
    <div class="top">
      <span class="text">进门时间：</span>
      <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <span class="text">至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">      
    </dilTable>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
import { getCookie } from "@/utils/util.js";
export default {
  name: "homeworkPath",
  data() {
    return {
      input: "",
      startTime: null,
      endTime: null,
      option: {
        // 表格请求数据的地址
        requestUrl: "",
      },
    };
  },
  created(){
      if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=416&orderType=12"
      }else{
          this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=416&orderType=12&userId=" + getCookie("orgCode")
      }
  },
  methods: {
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if (startTime && endTime) {
        if (startTime < endTime) {
          // if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=416&orderType=12&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date();

          // }else if(getCookie("orgCode") == "wuliuchuyunzhongxin"){
          // this.options.requestUrl = "/api/v1/wms/getWmsInboundResult?apiId=371&orderType=13&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
          // }else{
          // this.options.requestUrl = '/api/v1/wms/getWmsInboundResult?apiId=371&userId=' + getCookie("orgCode") +"&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
          // }
        } else {
          this.startTime = null;
          this.endTime = null;
          this.$message.warning("开始时间要比结束时间早");
        }
      } else {
        this.getRequestUrl()
      }
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input{
      width: 20%;
    }
  }
}
</style>